# __gnu_parallel::LoserTreePointerUnguardedBase< T, Comparator > Class Template Reference

Unguarded loser tree, keeping only pointers to the elements in the tree structure. More...

Inheritance diagram for __gnu_parallel::LoserTreePointerUnguardedBase< T, Comparator >:

List of all members.

## Public Member Functions

- int get_min_source ()
- void insert_start (const T &key, int source, bool)
- LoserTreePointerUnguardedBase (unsigned int _k, const T &_sentinel, Comparator _comp=std::less< T >())

## Protected Attributes

- Comparator comp
- unsigned int ik
- unsigned int k
- Loser * losers
- unsigned int offset

## Detailed Description

### template<typename T, typename Comparator>
class __gnu_parallel::LoserTreePointerUnguardedBase< T, Comparator >

Unguarded loser tree, keeping only pointers to the elements in the tree structure.

No guarding is done, therefore not a single input sequence must run empty. This is a very fast variant.

Definition at line 789 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h